<?php
require_once("../includes/bootstrap2.php");
$sesion=new sesion();

$academia = bootstrap::initBd($sesion->get('anio'));

$cd_asig=escapar($_REQUEST['idasig'],'int');//codigo de la asignatura
$id_grado=escapar($_REQUEST['idgr'],'int');//codigo del grado e.g. Sesto, septimo,8,9,etc
$per_cal=escapar($_REQUEST['per'],'int');//periodo de calificacion

$sql="select cod_logro as id, cod_pro as cdpr, def_logro as def,
	(SELECT lcase(CONCAT_WS(_utf8' ',pro_profesores.ap1_pro,pro_profesores.ap2_pro,pro_profesores.no1_pro,pro_profesores.no2_pro)) FROM pro_profesores WHERE (pro_profesores.cod_profesor = aca_logros.cod_pro)) AS doc
from aca_logros where aca_logros.cod_grado='$id_grado' and aca_logros.cod_asig='$cd_asig';";
//echo $sql;
$academia->instruccion($sql); 
$i=0;
$responce = array();
while($row = $academia->extraer_registro()) {
	$responce[]=$row;
} 
header("Content-type: application/json");
echo json_encode($responce);

?>